#!/usr/bin/env bash
set -euo pipefail

echo "Checking upload queue dir..."
export UPLOAD_QUEUE="${UPLOAD_QUEUE:-/data/upload-queue/}"
mkdir -p "${UPLOAD_QUEUE}"

cd "${UPLOAD_QUEUE}"
while [ ! -f ../STOP ]
do
	echo "Starting new loop..."
	for pack in */; do
		echo "Trying claim ${pack}..."
		flock --verbose -x --nonblock "$pack" /upload-single.sh "$pack" || echo "Could not claim pack!"
	done
	sleep 30
done
